//----------------------------------------------------------------------------
//
//  Console.nut
//
//----------------------------------------------------------------------------
function ConsoleCommand( str )
{
	local i = str.find( " " );
	local arg = null;
	local cmd;
	
	if ( i )
	{
		cmd = str.slice( 0, i );
		arg = str.slice( i+1 );
	}
	else
	{
		cmd = str;
	}

	cmd = cmd.tolower();

	switch ( cmd )
	{
		case "quit"			: Engine.Shutdown(); break;
		case "fps"			: Debug.ShowFps(); break;
		case "memory"		: Debug.ShowMemory(); break;
		case "actor"		: Debug.ShowActors(); break;
		case "audio"		: Debug.ShowAudio(); break;
		case "world"		: Debug.ShowWorld(); break;
		case "init"			: load( "init" ); break;
		case "script"		: assert(arg); SetGameScript(arg); break;
		case "money"		: Game.GiveMoney( arg.tointeger() ); break;
		default				: print( "Unrecognized command." );
	}
}