//----------------------------------------------------------------------------
//
//  Effects.nut
//
//----------------------------------------------------------------------------

bEmitters <- true;

Emitter <-
{
	position		= [ [-0.0, 0.0], [-0.0, 0.0] ]
	direction		= [ [-1.0, -1.0], [1.0, 1.0] ]
	rotation		= [ 0.0, 360.0 ]
	color			= [ [255,255,255,255], [255,255,255,255] ]
	frequency		= [ 0.0, 0.0 ]
	lifetime		= [ 1.0, 1.0 ]
	acceleration	= [ [0, -1000], [0, -1000] ]
	burst			= [ 16, 24 ]	
	sprites			= ["images/effects/blood_8.tga"]
	life			= 0.0,
	scale			= [ 1.0, 1.0 ],
	speed			= [ 0.0, 300.0 ],
	dampening		= [ 0.0, 0.0 ],
	velocity		= [ [0.0, 0.0], [0.0, 0.0] ]
}

BloodSpurt <- delegate Emitter:
{
	position		= [ [-0.0, 0.0], [-0.0, 0.0] ]
	direction		= [ [-1.0, -1.0], [1.0, 1.0] ]
	rotation		= [ 0.0, 360.0 ]
	color			= [ [255,255,255,255], [255,255,255,0] ]
	frequency		= [ 0.0, 0.0 ]
	lifetime		= [ 0.5, 0.5 ]
	acceleration	= [ [0, -600], [0, -600] ]
	burst			= [ 16, 24 ]	
	sprites			= ["images/effects/blood_8.tga"]
	life			= 0.0,
	scale			= [ 0.5, 2.0 ],
	speed			= [ 0.0, 300.0 ],
	growth			= [ 0.0, 0.0 ],
	dampening		= [ 5.0, 0.0 ]
}

DirtImpact <- delegate Emitter:
{
	position		= [ [-1.0, -0.0], [1.0, 0.0] ]
	direction		= [ [0.0, 1.0], [0.0, 1.0] ],
	rotation		= [ 0.0, 360 ],
	lifetime		= [ 0.5, 2.0 ],
	color			= [ [220, 150, 80, 150], [220, 150, 80, 0] ],
	sprites			= ["images/effects/muzzle_1.tga"],
	acceleration	= [ [0, 0], [0, 0] ],
	burst			= [ 12, 16 ],
	life			= 0.0,
	scale			= [ 0.1, 0.5 ],
	speed			= [ 50, 500 ],
	growth			= [ 0.5, 1.5 ],
	dampening		= [ 5.0, 5.0 ],
	velocity		= [ [20, 0.0], [20, 0.0] ]
}

BloodImpact <- delegate Emitter:
{
	position		= [ [-1.0, -0.0], [1.0, 0.0] ]
	direction		= [ [0.0, 1.0], [0.0, 1.0] ],
	rotation		= [ 0.0, 360 ],
	lifetime		= [ 0.5, 1.0 ],
	color			= [ [255, 0, 0, 64], [255, 0, 0, 0] ],
	sprites			= ["images/effects/muzzle_1.tga"],
	acceleration	= [ [0, 0], [0, 0] ],
	burst			= [ 12, 16 ],
	life			= 0.0,
	scale			= [ 0.1, 0.5 ],
	speed			= [ 50, 500 ],
	growth			= [ 0.2, 2.0 ],
	dampening		= [ 5.0, 5.0 ]
}

BloodGush <- delegate BloodImpact:
{
	direction		= [ [-0.2, 1.0], [0.2, 1.0] ],
	velocity		= [ [20, 0.0], [20, 0.0] ]
}

WorkerWeld <- delegate Emitter:
{
	position		= [ [0, 0], [0, 0] ]
	direction		= [ [-0.5, 1.0], [0.5, 1.0] ]
	rotation		= [ 0.0, 360 ]
	lifetime		= [ 0.5, 1.0 ]
	color			= [ [255, 255, 255, 255], [255, 255, 100, 0] ]
	sprites			=
	[
		"images/effects/corona_32.tga",
	],
		
	acceleration	= [ [0, -600], [0, -600] ]
	burst			= [ 0, 0 ]
	life			= 1.0
	scale			= [ 0.2, 0.25 ]
	speed			= [ 100, 300 ]
	growth			= [ 0.0, 0.0 ]
	dampening		= [ 0, 0 ]
	velocity		= [ [0.0, 0.0], [0.0, 0.0] ]
	frequency		= [ 0.05, 0.05 ]
}

