//----------------------------------------------------------------------------
//
//  Unit.nut
//
//----------------------------------------------------------------------------
Unit <-
{
	name			= "Unit"
	properName		= "None"
	description		= "None"
	portrait		= "ui/circle.tga"
	
	health			= 500
	damage			= 5
	rof				= 0.5
	aoe				= 0
	range			= 8.0
	damageType		= eDamageType.Normal
	armor			= 0
	gridSize		= [2, 2]
	speed			= 0
	price			= 120
	buildTime		= 5
	collisionRadius	= 1.0
	baseAnimSpeed	= 1.0
	
	bLoopAttack		= false
	bGoodGuy		= true
	bCanAttack		= true
	
	buttonArt		= "ui/blank_unit_button.tga"
	meterOffset		= 1.0
	
	sounds =
	{
		attack = null,
		attackHit = null,
		start = null,
		finish = null,
		hurt = null,
		death = null,
	}
	
	abilities =
	[
		
	]
}

Building <- delegate Unit:
{
	damage			= 0,
	speed			= 0,
	damageType		= eDamageType.None,
	shields			= 0,

	bGoodGuy		= true,
	bCanAttack		= false,

	sounds = delegate Unit.sounds:
	{
		death =
		[
			"units/building_death1.wav",
			"units/building_death2.wav",
			"units/building_death3.wav",
		]
	}
}

Alien <- delegate Unit:
{
	name			= "Alien"
	properName		= "Alien"
	description		= "An alien!"
	portrait		= "ui/portrait_alien.tga"
	
	health			= 40
	armor			= 0
	damage			= 10
	rof				= 1.0
	aoe				= 0
	range			= 1.0
	damageType		= eDamageType.Normal
	gridSize		= [1, 1]
	speed			= 8
	collisionRadius	= 1.0
	baseAnimSpeed	= 1.0

	bGoodGuy		= false
	bCanAttack		= true

	sounds = delegate Building.sounds:
	{
		attack =
		[
			"units/alien_attack1.wav",
			"units/alien_attack2.wav",
			"units/alien_attack3.wav",
			"units/alien_attack4.wav",
			"units/alien_attack5.wav",
			"units/alien_attack6.wav",
			"units/alien_attack7.wav",
			"units/alien_attack8.wav",
			"units/alien_attack9.wav",
			"units/alien_attack10.wav",
			"units/alien_attack11.wav",
			"units/alien_attack12.wav",
		]
		
		attackHit =
		[
			"units/alien_attack_hit1.wav",
			"units/alien_attack_hit2.wav",
			"units/alien_attack_hit3.wav",
			"units/alien_attack_hit4.wav",
			"units/alien_attack_hit5.wav",
			"units/alien_attack_hit6.wav",
			"units/alien_attack_hit7.wav",
			"units/alien_attack_hit8.wav",
		]
		
		death =
		[
			"units/alien_death1.wav",
			"units/alien_death2.wav",
			"units/alien_death3.wav",
			"units/alien_death4.wav",
			"units/alien_death5.wav",
			"units/alien_death6.wav",
			"units/alien_death7.wav",
			"units/alien_death8.wav",
		]
	}
}

Harvester <- delegate Building:
{
	name			= "Harvester"
	properName		= "Harvester"
	description		= "A resource gathering unit."
	portrait		= "ui/portrait_harvester.tga"
	
	health			= 100
	armor			= 1
	gridSize		= [2, 2]
	price			= 150
	buildTime		= 15
	collisionRadius	= 2.0
	shields			= 0
	
	bCanAttack		= false
	meterOffset		= 1.0

	buttonArt =
	[
		"ui/button_harvester.tga",
		"ui/button_harvester_select.tga",
		"ui/button_harvester_click.tga",
	]
	
	harvestAmount		= 5
	harvestAmountFalloff = 1
	harvestRate			= 2.0
	harvestRateFalloff	= 40.0

	sounds = delegate Building.sounds:
	{
		finish = "units/harvester_finish.wav"
		idle = "units/harvester_ambient.wav"
	}
}

Turret <- delegate Building:
{
	name			= "Turret"
	properName		= "Sentry Turret"
	description		= "A versatile, rapid-fire defensive structure."
	portrait		= "ui/portrait_turret.tga"
	
	health			= 200
	armor			= 3
	damage			= 6
	rof				= 0.1
	aoe				= 0
	range			= 34.0
	damageType		= eDamageType.Normal
	gridSize		= [2, 2]
	speed			= 0
	price			= 120
	buildTime		= 18
	collisionRadius	= 2.0
	shields			= 50
	maxHeadRotSpeed	= 2.0
		
	bLoopAttack		= true,
	bCanAttack		= true
	meterOffset		= 1.5

	buttonArt =
	[
		"ui/button_turret.tga",
		"ui/button_turret_select.tga",
		"ui/button_turret_click.tga",
	]
	
	sounds = delegate Building.sounds:
	{
		attack = "units/turret_attack2.wav"
		finish = "units/turret_finish.wav"
	}
}

EnergyCannon <- delegate Building:
{
	name			= "EnergyCannon"
	properName		= "Seige Turret"
	description		= "A powerful, low rate-of-fire seige weapon."
	portrait		= "ui/portrait_turret.tga"
	
	health			= 600
	armor			= 12
	damage			= 500
	rof				= 4.0
	aoe				= 5.0
	range			= 36.0
	damageType		= eDamageType.Normal
	shields			= 200
	gridSize		= [3, 3]
	speed			= 0
	price			= 300
	buildTime		= 55
	collisionRadius	= 3.0
	maxHeadRotSpeed	= 0.25
	
	bLoopAttack		= false
	meterOffset		= 1.5
	bCanAttack		= true
	
	buttonArt =
	[
		"ui/button_ec.tga",
		"ui/button_ec_select.tga",
		"ui/button_ec_click.tga",
	]

	sounds = delegate Building.sounds:
	{
		attack = "units/ec_attack.wav"
		finish = "units/ec_finish.wav"
	}
}

Caltrops <- delegate Building:
{
	name			= "Caltrops"
	properName		= "Caltrops"
	description		= "A defensive structure used for slowing enemies."
	portrait		= "ui/portrait_caltrops.tga"
	
	health			= 500
	gridSize		= [1, 1]
	price			= 20
	buildTime		= 1
	collisionRadius	= 1.0
	bCanAttack		= false

	buttonArt =
	[
		"ui/button_caltrops.tga",
		"ui/button_caltrops_select.tga",
		"ui/button_caltrops_click.tga",
	]
}

Bunker <- delegate Building:
{
	name			= "Bunker"
	properName		= "Bunker"
	description		= "A very powerful defensive structure that can only fire in one direction."
	portrait		= "ui/portrait_bunker.tga"
	
	health			= 4000
	armor			= 16
	shields			= 800
	gridSize		= [5, 5]
	price			= 545
	buildTime		= 30
	range			= 30.0
	damage			= 13
	rof				= 0.1
	collisionRadius	= 4.0
	shields			= 50
	maxSoldiers		= 8
	
	bCanAttack		= false
	meterOffset		= 1.5
	
	buttonArt =
	[
		"ui/button_bunker.tga",
		"ui/button_bunker_select.tga",
		"ui/button_bunker_click.tga",
	]

	sounds = delegate Building.sounds:
	{
		finish = "units/bunker_finish.wav"
	}
	
	abilities =
	[
		Abilities.TrainMarine
		//Abilities.TrainPyro
	]
}

Soldier <- delegate Unit:
{
	bCanAttack		= true,
}

Marine <- delegate Soldier:
{
	name			= "Marine"
	properName		= "Marine"
	description		= "A rapid-fire unit which fires from bunkers."
	portrait		= "ui/buildqueue_marine.tga"
	
	health			= 1
	damage			= 13
	rof				= 0.1
	aoe				= 0
	range			= 22.0
	damageType		= eDamageType.Normal
	gridSize		= [1, 1]
	speed			= 0
	price			= Abilities.TrainMarine.cost
	buildTime		= 10
	buttonArt		= "ui/buildqueue_marine.tga"
	
	buttonArt =
	[
		"ui/button_marine.tga",
		"ui/button_marine_select.tga",
		"ui/button_marine_click.tga",
	]

	sounds = delegate Unit.sounds:
	{
		attack = null,
		start = null,
		finish = "units/marine_finish.wav",
		hurt = null,
		death = null,
	}
}