//----------------------------------------------------------------------------
//
//  Unit.Worker.nut
//
//----------------------------------------------------------------------------
load( "harvester" )
load( "turret" )

class Unit.Worker extends Unit
{
	building = null;
	buildingPos = Vector2(0, 0);
	welder = null;

	constructor()
	{
		Unit.constructor();
		drawScale = 0.5;
		bStatic = false;
	}
	
	function PlayAttack()
	{
		
	}
	
	function TakeDamage( damage, dtype, attacker )
	{
		Unit.TakeDamage( damage, dtype, attacker );
	}
	
	states = delegate Unit.states:
	{
		idle = delegate Unit.states.idle:
		{
			function Begin()
			{
				
			}
			
			function Execute()
			{
				
			}
			
			function End()
			{

			}
		}
		
		attacking = delegate Unit.states.attacking:
		{
			function Begin()
			{

			}
			
			function Execute()
			{
				
			}
			
			function End()
			{

			}
		}
	}

	info = delegate Unit.info:
	{
		name			= "Worker",
		properName		= "Worker",
		description		= "A dude who builds stuff...",
		
		model			= "Turret",
		portrait		= Sprite( "images/UI/portrait_turret.tga" ),
		icon			= Sprite( "images/UI/build_turret.tga", 1, 6 ),
		selectionScale	= 0.14,
		
		defaultState	= "idle",
		
		health			= 100,
		damage			= 1,
		rof				= 1.0,
		aoe				= 0,
		range			= 50.0,
		damageType		= eDamageType.None,
		maxTargets		= 1,
		gridSize		= [2, 2],
		speed			= 300,
		
		price			= 100,
		buildTime		= 1,
		
		bWorker			= true,
		bBuilding		= false,
		bLoopAttackSound = false,
		
		abilities =
		[
			Ability.Move( 0 ),
			Ability.Build( Unit.Harvester, 1 ),
			Ability.Build( Unit.Turret, 2 )
		],
		
		sounds = delegate Unit.info.sounds:
		{
			attack = 
			[
				Sound("sounds/units/worker_weld_1.wav"),
				Sound("sounds/units/worker_weld_2.wav")
			],
			
			start = null, //[ Sound("sounds/units/turret_start.wav", 3) ],
			finish = null, //[ Sound("sounds/units/turret_finish.wav", 3) ],
			
			hurt =
			[
				Sound("sounds/units/building_hurt_1.wav"),
				Sound("sounds/units/building_hurt_2.wav"),
				Sound("sounds/units/building_hurt_3.wav"),
				Sound("sounds/units/building_hurt_4.wav"),
				Sound("sounds/units/building_hurt_5.wav"),
				Sound("sounds/units/building_hurt_6.wav"),
				Sound("sounds/units/building_hurt_7.wav"),
				Sound("sounds/units/building_hurt_8.wav")
			],
			
			death =
			[
				Sound("sounds/units/building_death_1.wav"),
				Sound("sounds/units/building_death_2.wav"),
				Sound("sounds/units/building_death_3.wav")
			],
			
			
		}
	}
}

